Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 23058002: allow both GDI and DW fontmgrs at the same time (Closed)

Created:
6 years, 1 month ago by reed1
Modified:
6 years ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 5

Patch Set 2 : make cache private to DW #

Total comments: 3

Patch Set 3 : move create-w-cache helper into fontmgr object #

Total comments: 2

Patch Set 4 : #

Patch Set 5 : #

Total comments: 4

Patch Set 6 : #

Patch Set 7 : #

Patch Set 8 : #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+241 lines, -155 lines) Patch
M gm/fontmgr.cpp View 5 chunks +22 lines, -3 lines 0 comments Download
M gyp/ports.gyp View 1 2 3 4 5 6 3 chunks +18 lines, -11 lines 0 comments Download
M src/ports/SkFontHost_win.cpp View 1 2 3 4 5 6 7 1 chunk +2 lines, -1 line 0 comments Download
M src/ports/SkFontHost_win_dw.cpp View 1 2 3 11 chunks +185 lines, -140 lines 1 comment Download
A src/ports/SkFontMgr_default_dw.cpp View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
A src/ports/SkFontMgr_default_gdi.cpp View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download

Messages

Total messages: 19 (0 generated)
reed1
6 years, 1 month ago (2013-08-13 13:09:39 UTC) #1
bungeman-skia
https://codereview.chromium.org/23058002/diff/1/gyp/ports.gyp File gyp/ports.gyp (right): https://codereview.chromium.org/23058002/diff/1/gyp/ports.gyp#newcode117 gyp/ports.gyp:117: [ 'not skia_directwrite', { We don't build with pre-Vista ...
6 years, 1 month ago (2013-08-13 13:51:54 UTC) #2
reed1
https://codereview.chromium.org/23058002/diff/1/src/ports/SkFontHost_win_dw.cpp File src/ports/SkFontHost_win_dw.cpp (right): https://codereview.chromium.org/23058002/diff/1/src/ports/SkFontHost_win_dw.cpp#newcode712 src/ports/SkFontHost_win_dw.cpp:712: SkTypeface* face = NULL; //SkTypefaceCache::FindByProcAndRef(FindByDWriteFont, font); On 2013/08/13 13:51:54, ...
6 years, 1 month ago (2013-08-13 15:28:27 UTC) #3
bungeman-skia
This plumbing seems a bit kludgy, and with this change DirectWrite simply isn't using a ...
6 years, 1 month ago (2013-08-13 15:53:45 UTC) #4
reed1
ptal
6 years, 1 month ago (2013-08-13 17:21:31 UTC) #5
bungeman-skia
lgtm, so long as it compiles both with and without SK_FONTHOST_USES_FONTMGR https://codereview.chromium.org/23058002/diff/12001/src/ports/SkFontHost_win_dw.cpp File src/ports/SkFontHost_win_dw.cpp (right): ...
6 years, 1 month ago (2013-08-13 17:35:24 UTC) #6
reed1
https://codereview.chromium.org/23058002/diff/12001/src/ports/SkFontHost_win_dw.cpp File src/ports/SkFontHost_win_dw.cpp (right): https://codereview.chromium.org/23058002/diff/12001/src/ports/SkFontHost_win_dw.cpp#newcode1888 src/ports/SkFontHost_win_dw.cpp:1888: return create_from_stream(stream, 0, NULL); On 2013/08/13 17:35:25, bungeman1 wrote: ...
6 years, 1 month ago (2013-08-13 18:03:55 UTC) #7
reed1
updated to have default fontmgr settable from gyp
6 years, 1 month ago (2013-08-14 15:08:02 UTC) #8
bungeman-skia
https://codereview.chromium.org/23058002/diff/9001/gyp/ports.gyp File gyp/ports.gyp (right): https://codereview.chromium.org/23058002/diff/9001/gyp/ports.gyp#newcode145 gyp/ports.gyp:145: '../src/ports/SkFontHost_win_defdw.cpp', These need the right names. https://codereview.chromium.org/23058002/diff/9001/src/ports/SkFontHost_win.cpp File src/ports/SkFontHost_win.cpp ...
6 years, 1 month ago (2013-08-14 15:24:11 UTC) #9
reed1
https://codereview.chromium.org/23058002/diff/9001/gyp/ports.gyp File gyp/ports.gyp (right): https://codereview.chromium.org/23058002/diff/9001/gyp/ports.gyp#newcode145 gyp/ports.gyp:145: '../src/ports/SkFontHost_win_defdw.cpp', On 2013/08/14 15:24:11, bungeman1 wrote: > These need ...
6 years, 1 month ago (2013-08-14 15:27:47 UTC) #10
bungeman-skia
lgtm
6 years, 1 month ago (2013-08-14 15:55:44 UTC) #11
reed1
Committed patchset #8 manually as r10718 (presubmit successful).
6 years, 1 month ago (2013-08-14 19:00:30 UTC) #12
robertphillips
Reverted in r10759 to unblock DEPS roll
6 years, 1 month ago (2013-08-15 22:43:42 UTC) #13
robertphillips
Here is win_layout_rel's stdio log: http://build.chromium.org/p/tryserver.chromium/builders/win_layout_rel/builds/15189/steps/compile/logs/stdio
6 years, 1 month ago (2013-08-15 22:56:32 UTC) #14
bungeman-skia
https://codereview.chromium.org/23058002/diff/37001/src/ports/SkFontHost_win_dw.cpp File src/ports/SkFontHost_win_dw.cpp (right): https://codereview.chromium.org/23058002/diff/37001/src/ports/SkFontHost_win_dw.cpp#newcode1887 src/ports/SkFontHost_win_dw.cpp:1887: SkTypeface* SkFontHost::CreateTypefaceFromStream(SkStream* stream) { When SK_FONTHOST_USES_FONTMGR is not defined, ...
6 years, 1 month ago (2013-08-16 14:20:38 UTC) #15
bungeman-skia
Committed patchset #8 manually as r10788 (presubmit successful).
6 years, 1 month ago (2013-08-16 20:31:17 UTC) #16
robertphillips
This was reverted in r10813 due to Chromium XP bot failures: [Running on builder: "XP ...
6 years ago (2013-08-20 14:37:51 UTC) #17
bungeman-skia
Committed patchset #8 manually as r10851 (presubmit successful).
6 years ago (2013-08-21 15:21:03 UTC) #18
bungeman-skia
6 years ago (2013-08-21 15:22:09 UTC) #19
Message was sent while issue was closed.
On 2013/08/20 14:37:51, robertphillips wrote:
> This was reverted in r10813 due to Chromium XP bot failures:
> 

See https://codereview.chromium.org/23380002/ (skia:r10847) for the XP fix.

Powered by Google App Engine
This is Rietveld 408576698